POST v2/{token}/transacao/boletopix
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| token | string |
Required |
Body Parameters
TransacaoBoletoPixRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| payment_type | string |
None. |
|
| payment_method | MetodoPagamentoBoletoPixRequest |
None. |
|
| on_behalf_of | string |
None. |
|
| customer | string |
None. |
|
| amount | integer |
None. |
|
| currency | string |
None. |
|
| description | string |
None. |
|
| reference_id | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"payment_type": "sample string 1",
"payment_method": {
"due_at": "sample string 1",
"payment_limit_at": "sample string 2"
},
"on_behalf_of": "sample string 2",
"customer": "sample string 3",
"amount": 4,
"currency": "sample string 5",
"description": "sample string 6",
"reference_id": "sample string 7"
}
application/xml, text/xml
Sample:
<TransacaoBoletoPixRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/DoctusPayApi.Request">
<MetodoPagamento>
<DataLimitePagamento>sample string 2</DataLimitePagamento>
<DataVencimento>sample string 1</DataVencimento>
</MetodoPagamento>
<amount>4</amount>
<currency>sample string 5</currency>
<customer>sample string 3</customer>
<description>sample string 6</description>
<on_behalf_of>sample string 2</on_behalf_of>
<payment_type>sample string 1</payment_type>
<reference_id>sample string 7</reference_id>
</TransacaoBoletoPixRequest>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
HttpResponseMessage| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version |
None. |
|
| Content | HttpContent |
None. |
|
| StatusCode | HttpStatusCode |
None. |
|
| ReasonPhrase | string |
None. |
|
| Headers | Collection of Object |
None. |
|
| RequestMessage | HttpRequestMessage |
None. |
|
| IsSuccessStatusCode | boolean |
None. |